<?php
// $Id: photos.admin.inc,v 1.1 2008/08/06 07:14:33 eastcn Exp $
function photos_admin_settings() {
	$form['photos_num'] = array(
		'#type' => 'select',
		'#title' => t('Number of upload'),
		'#default_value' => variable_get('photos_num', 5),
		'#options' => drupal_map_assoc(array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10)),
		'#description' => t('Maxium amount allowed for one upload'),
	);
	$form['photos_pnum'] = array(
		'#type' => 'select',
		'#title' => t('Number of albums'),
		'#options' => drupal_map_assoc(array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 15, 20, 25, 30, 40)),
		'#default_value' => variable_get('photos_pnum', 20),
		'#description' => t('The number of albums a user allowed to create. Administrater is not limited.'),
	);
	$form['photos_upzip'] = array(
		'#type' => 'radios',
		'#title' => t('zip compressed upload'),
		'#default_value' => variable_get('photos_upzip', 0),
		'#description' => t('Will be allowed to upload images compressed into a zip, extract the necessary support to open php'),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	$form['photos_rname'] = array(
		'#type' => 'radios',
		'#title' => t('Rename image'),
		'#default_value' => variable_get('photos_rname', 0),
		'#description' => t('Rename uploaded image by random numbers, to solve problems with non-ASCII filenames such as Chinese.'),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	$form['photos_exif'] = array(
		'#type' => 'radios',
		'#title' => t('Show exif information'),
		'#default_value' => variable_get('photos_exif', 0),
		'#description' => t('When the image is available exif information, automatically read and display. Open this option, you must load the php exif.'),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	$form['photos_t_w'] = array(
		'#type'=> 'textfield',
		'#title' => t('Thumbnail size'),
		'#default_value' => variable_get('photos_t_w', '100x100'),
		'#description' => t('This photos module creates 2 formats of thumbnails, and saves original image. Please set size'),
		'#size' => '10',
	);
	$form['photos_t_s'] = array(
		'#type' => 'select',
		'#title' => t('Thumbnail format'),
		'#default_value' => variable_get('photos_t_s', 'crop'),
		'#options' => array('scale' => 'scale','crop' => 'crop'),
		'#description' => t('scale: Keep ratio for resizing, crop:  Fix size, aligned by a border.'),
	);
	$form['photos_t_ww'] = array(
		'#type'=> 'textfield',
		'#title' => t('Medium image size'),
		'#default_value' => variable_get('photos_t_ww', '640x480'),
		'#description' => t('This photos module creates 2 formats of thumbnails, and saves original image. Please set size'),
		'#size' => '10',
	);
	$form['photos_t_ss'] = array(
		'#type' => 'select',
		'#title' => t('Medium image format'),
		'#default_value' => variable_get('photos_t_ss', 'scale'),
		'#options' => array('scale' => 'scale','crop' => 'crop'),
		'#description' => t('scale: Keep ratio for resizing, crop:  Fix size, aligned by a border.'),
	);
	$form['photos_path'] = array(
		'#type'=> 'textfield',
		'#title' => t('Path of saving'),
		'#default_value' => variable_get('photos_path', 'photos/image_%uid'),
		'#description' => t('The path where the files should be saved, may save by user id or user name, e.g.: photos/%uid or photos/%username'),
		'#size' => '40',
		'#required' => TRUE,
	);
	$form['photos_flash'] = array(
		'#type' => 'radios',
		'#title' => t('FLASH slide show'),
		'#default_value' => variable_get('photos_flash', 0),
		'#description' => t('FLASH use slide show album, must be enabled ') .l('piclens','http://drupal.org/project/piclens'),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	return system_settings_form($form);
}